<!--
  @File Name          : acc.html
  @Description        : 
  @Author             : ChangeMeIn@UserSettingsUnder.SFDoc
  @Group              : 
  @Last Modified By   : ChangeMeIn@UserSettingsUnder.SFDoc
  @Last Modified On   : 31/03/2020 à 10:45:29
  @Modification Log   : 
  Ver       Date            Author      		    Modification
  1.0    31/03/2020   ChangeMeIn@UserSettingsUnder.SFDoc     Initial Version
-->
<template>
    
  <!--lightning-record-edit-form  object-api-name="Credicard"-->
  <lightning-card icon-name="custom:custom19" title='Credit card information uplaod'>
      <div class="slds-m-around_medium">
                  <div class="slds-grid slds-wrap">
                          <div class="slds-col slds-size_1-of-2">
                  <lightning-layout-item size="6" padding="around-medium"> 
<lightning-input type="number" name="Import Id"  required label="Import Id"  value={impnum} 
      onclick={handlechange} style="width:200px">
          </lightning-input>
          
</lightning-layout-item>
      </div>
      <div class="slds-col slds-size_1-of-2">
              <lightning-layout-item size="6" padding="around-medium"> 
               <template if:true={Programvalues.data}>
                   <lightning-combobox
                   name="Program"
                   label="Program"
                   value={Programvalue}
                   placeholder="-Select-"
                   options={Programvalues.data.values}
                   onchange={handleselect} style="width:200px"></lightning-combobox>
               </template>
           </lightning-layout-item>
       </div>
       <div class="slds-col slds-size_1-of-2">
              <lightning-layout-item size="6" padding="around-medium"> 
      
                  <template if:true={AXvalues.data}>
                      <lightning-combobox 
                      name="AXvalue"
                      label="AxPID"
                      value={Avalue}
                      placeholder="-Select-"
                      options={AXvalues.data.values}
                      onchange={handleselect}  style="width:200px" ></lightning-combobox>
                  </template>
              </lightning-layout-item>
              </div>
              <div class="slds-col slds-size_1-of-2">
                      <lightning-layout-item size="6" padding="around-medium"> 
                              <lightning-input type="number" name="Exchange Rate"  required label="Exchange Rate"  value={inpputnum} 
                              onclick={handlechange1} style="width:200px" >
                </lightning-input>
                
              
                      </lightning-layout-item>
                      </div>
                  </div>
              </div>
                              
                      
                      <lightning-file-upload
                      name="Import Data"
                              label="Import Data"
                      
                              accept={acceptedFormats}
                      
                              record-id={recordId}
                      
                              onuploadfinished={handleUploadFinished} ></lightning-file-upload>
                      
                      
                      
                      <template if:true ={success} >
                      
                              
                      <c-error-panel errors={success}></c-error-panel>
                      
                      </template>
                      
                      <template if:true={failure}>
                      
                      <c-error-panel errors={failure}></c-error-panel>
                      
                      </template>
                  
                      
                  
                  
      
              </lightning-card>
          </template>